package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.dao.hibernate.BaseHibernateDao;
import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

public final class ImpAndOutUtils extends BaseHibernateDao {
  public static Document getDocument(String filePathAndName) throws DocumentException {
    Document document = null;
    if (filePathAndName == null || filePathAndName == "")
      return document; 
    if (!(new File(filePathAndName)).exists())
      return document; 
    SAXReader saxReader = new SAXReader();
    document = saxReader.read(new File(filePathAndName));
    return document;
  }
  
  public static Map<String, Object> getElementList(List<?> list) {
    Map<String, Object> map = new HashMap<>();
    for (int i = 0; i < list.size(); i++) {
      Element ele = (Element)list.get(i);
      String key = ele.getName();
      String value = ele.getTextTrim();
      if (StringUtils.isNotBlank(value) && (!"WENJIAN".equals(key) || !"WENJIANS".equals(key) || !"WENJIANFUJIAN".equals(key) || !"WENJIANFUJIANS".equals(key)))
        map.put(key, value); 
    } 
    return map;
  }
}
